using PSO2SERVER.Database;
using PSO2SERVER.Protocol.Packets;
using System.Linq;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x11, 0x02)]
    public class CharacterListRequest : PacketHandler
    {
        #region implemented abstract members of PacketHandler

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            if (context._account == null)
                return;

            context.SendPacket(new CharacterListPacket(context._account.AccountId));
        }

        #endregion
    }
}